gnutls_cipher_init(3)

NAME
gnutls_cipher_init - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_cipher_init(gnutls_cipher_hd_t * handle, gnutls_cipher_algorithm_t cipher, const gnutls_datum_t * key, const gnutls_datum_t * iv);

ARGUMENTS

gnutls_cipher_hd_t * handle
    is a gnutls_cipher_hd_t structure.

gnutls_cipher_algorithm_t cipher
    the encryption algorithm to use

const gnutls_datum_t * key
    The key to be used for encryption

const gnutls_datum_t * iv
    The IV to use (if not applicable set NULL)

DESCRIPTION
This function will initialize an context that can be used for encryption/decryption of data. This will effectively use the current crypto backend in use by gnutls or the cryptographic accelerator in use.

RETURNS
Zero or a negative value on error.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.